%plot priors
load strucG_c1107146
struc=strucG_c1107146;

show_k=false;
if show_k
    k=1; kmin=0.0; kmax=0.8;
    Klist = jointlik(struc.Nlist,k,kmin,kmax);
end
figure(1); clf; 

%:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
subplot(5,1,1); hold on
x=struc.prior.burial(:,1);
y=struc.prior.burial(:,2);
plot(x,y,'--b')
xlabel('burial')
title(struc.SampleName,'fontsize',18)

x=-0.2:0.01:5;
y=makepdf(x,struc.de);
y=y/max(y);
plot(x,y,'-k')
axis([0 2 0 1])
    
% Bootstrap likelihood and MAM3
BL=struc.LIK.MA;
plot(BL(:,1),BL(:,2)/max(BL(:,2)),'-b')
ind=find(BL(:,2)==max(BL(:,2)));
if struc.mamflag==1
    mam=getmam3(struc.de,struc.IPARAM.sigb(1),BL(ind,1));   
else
    mam=getmam3ul(struc.de,struc.IPARAM.sigb(1),BL(ind,1));
end
plot([mam(1) mam(1)],[0 1],'-r')
plot([mam(1)-mam(2) mam(1)-mam(2)],[0 1],'--r')
plot([mam(1)+mam(2) mam(1)+mam(2)],[0 1],'--r')

[h x]=hist(struc.Nlist(:,1),15);
hmax=max(h);
h=h/max(h);
bar(x,h,'edgecolor',[0.9 0.9 0.9])
alpha 0.25

if show_k
    h2=hist(Klist(:,1),x);
    h2=h2/hmax;
    bar(x,h2,'edgecolor',[0.9 0.9 0.9],'facecolor','r')
end
alpha 0.25

%------------------------------------------------------------------------
subplot(5,1,2); hold on
x=struc.prior.sd2(:,1);
y=struc.prior.sd2(:,2);
plot(x,y,'--b')
xlabel('sd2')

[h x]=hist(struc.Nlist(:,2),20);
hmax=max(h);
h=h/max(h);
bar(x,h,'edgecolor',[0.9 0.9 0.9])
alpha 0.25

if show_k
    h2=hist(Klist(:,2),x);
    h2=h2/hmax;
    bar(x,h2,'edgecolor',[0.9 0.9 0.9],'facecolor','r')
end
alpha 0.25
%------------------------------------------------------------------------

subplot(5,1,3); hold on
x=struc.prior.p(:,1);
y=struc.prior.p(:,2);
plot(x,y,'--b')
xlabel('p')

[h x]=hist(struc.Nlist(:,3),20);
hmax=max(h);
h=h/max(h);
bar(x,h,'edgecolor',[0.9 0.9 0.9])
alpha 0.25

if show_k
    h2=hist(Klist(:,3),x);
    h2=h2/hmax;
    bar(x,h2,'edgecolor',[0.9 0.9 0.9],'facecolor','r')
end
alpha 0.25
%------------------------------------------------------------------------
%{
subplot(5,1,4); hold on
x=struc.prior.SGsigb(:,1);
y=struc.prior.SGsigb(:,2);
plot(x,y,'--b')
xlabel('SGsigb')


[h x]=hist(struc.Nlist(:,4),20);    
hmax=max(h);
h=h/max(h);
bar(x,h,'edgecolor',[0.9 0.9 0.9])
alpha 0.25

if show_k
    h2=hist(Klist(:,4),x);
    h2=h2/hmax;
    bar(x,h2,'edgecolor',[0.9 0.9 0.9],'facecolor','r')
end
alpha 0.25
%}
%------------------------------------------------------------------------

subplot(5,1,4); hold on
x=struc.prior.A(:,1);
y=struc.prior.A(:,2);
plot(x,y,'--b')
xlabel('A')


[h x]=hist(struc.Nlist(:,4),20);
hmax=max(h);
h=h/max(h);
bar(x,h,'edgecolor',[0.9 0.9 0.9])
alpha 0.25
if show_k
    h2=hist(Klist(:,4),x);
    h2=h2/hmax;
    bar(x,h2,'edgecolor',[0.9 0.9 0.9],'facecolor','r')
end
alpha 0.25
%------------------------------------------------------------------------
subplot(5,1,5); hold on
x=struc.prior.B(:,1);
y=struc.prior.B(:,2);
plot(x,y,'--b')
xlabel('b')

[h x]=hist(struc.Nlist(:,5),20);
hmax=max(h);
h=h/max(h);
bar(x,h,'edgecolor',[0.9 0.9 0.9])
alpha 0.25
if show_k
    h2=hist(Klist(:,5),x);
    h2=h2/hmax;
    bar(x,h2,'edgecolor',[0.9 0.9 0.9],'facecolor','r')
end
alpha 0.25
%------------------------------------------------------------------------

%------------------------------------------------------------------------

results=[mean(struc.Nlist); std(struc.Nlist)]
